> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donate.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a config leaderboard by id

> Get a config top donors leaderboard for this config with pagination.



## OpenAPI

````yaml https://www.donate.gg/api/v1/openapi get /configs/{configId}/leaderboard
openapi: 3.0.0
info:
  title: Donate Developer API
  version: 1.0.0
  description: >-
    API for developers to list charities, create and manage donation configs.
    All endpoints require the `donate-api-key` header. Endpoints are gated by
    API scopes enabled at the organization level: Core API endpoints require the
    `core` scope (enabled by default), Partner API endpoints require the
    `partner` scope (must be explicitly granted).
servers:
  - url: /api/v1
    description: API v1 base path (relative to your dashboard origin)
security: []
paths:
  /configs/{configId}/leaderboard:
    get:
      summary: Get a config leaderboard by id
      description: Get a config top donors leaderboard for this config with pagination.
      parameters:
        - schema:
            type: string
            description: Config ID
          required: true
          description: Config ID
          name: configId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
            description: Page size (default 50, max 200)
          required: false
          description: Page size (default 50, max 200)
          name: limit
          in: query
        - schema:
            type: string
            description: Cursor for next page (from previous pageKey)
          required: false
          description: Cursor for next page (from previous pageKey)
          name: cursor
          in: query
        - schema:
            type: string
            minLength: 1
            description: Developer API key
          required: true
          description: Developer API key
          name: donate-api-key
          in: header
      responses:
        '200':
          description: Config leaderboard with top donors and pagination.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  entries:
                    type: array
                    items:
                      type: object
                      properties:
                        rank:
                          type: integer
                          minimum: 0
                          exclusiveMinimum: true
                        user:
                          type: object
                          nullable: true
                          properties:
                            username:
                              type: string
                            avatar:
                              type: string
                              nullable: true
                          required:
                            - username
                            - avatar
                          additionalProperties: false
                        wallet:
                          type: object
                          properties:
                            chain:
                              type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - bitcoin
                                    - evm
                                    - solana
                              required:
                                - id
                                - name
                                - type
                              additionalProperties: false
                            address:
                              type: string
                          required:
                            - chain
                            - address
                          additionalProperties: false
                        stats:
                          type: object
                          properties:
                            usdDonatedE6:
                              type: string
                            donationCount:
                              type: string
                            firstDonationDate:
                              type: string
                              nullable: true
                            lastDonationDate:
                              type: string
                              nullable: true
                          required:
                            - usdDonatedE6
                            - donationCount
                            - firstDonationDate
                            - lastDonationDate
                          additionalProperties: false
                      required:
                        - rank
                        - user
                        - wallet
                        - stats
                      additionalProperties: false
                  nextCursor:
                    type: string
                    nullable: true
                    description: Cursor for next page (to be used in the next request)
                required:
                  - entries
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - VALIDATION_ERROR
                  issues:
                    type: array
                    items:
                      nullable: true
                required:
                  - error
                  - code
                  - issues
                additionalProperties: false
        '403':
          description: You did not create this config.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                required:
                  - error
                  - code
                additionalProperties: false
        '404':
          description: Config not found.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                required:
                  - error
                  - code
                additionalProperties: false
        '429':
          description: >-
            Rate limit exceeded. Retry after the period indicated by the
            Retry-After header.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum requests allowed in the current window.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Unix epoch seconds when the current window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds until the client should retry.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                required:
                  - error
                  - code
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: donate-api-key
      description: >-
        Developer API key. Required for all requests. Obtain from the Donate
        dashboard.

````